#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		shortname	%(echo %{name} | cut -d '-' -f2)
%define		__python	/usr/bin/python3
#-----------------------------------------------------------------------------
Name		:	python-psutil
Version		:	5.9.0
Release		:	14.8.0.0%{?dist}
Summary		:	python, process and system utilities.
Group		:	Development/Languages

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	https://github.com/giampaolo

Source0		:	%{shortname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%{__python}
BuildRequires	:	python-build
BuildRequires	:	python-flit-core
BuildRequires	:	python-installer
BuildRequires	:	python3-setuptools
BuildRequires	:	python-wheel

Buildrequires	:	gcc

#-----------------------------------------------------------------------------
%description
psutil (process and system utilities) is a cross-platform library
for retrieving information on running processes and system utilization
(CPU, memory, disks, network, sensors) in Python. It is useful mainly
for system monitoring, profiling and limiting process resources and
management of running processes. It implements many functionalities
offered by UNIX command line tools such as: ps, top, lsof, netstat,
ifconfig, who, df, kill, free, nice, ionice, iostat, iotop, uptime,
pidof, tty, taskset, pmap. psutil currently supports the following
platforms:
    Linux
    Windows
    macOS,
    FreeBSD, OpenBSD, NetBSD
    Sun Solaris
    AIX

#=============================================================================
%package -n 		python3-psutil
Summary		:	%{summary}

#-----------------------------------------------------------------------------
Provides	:	python3-psutil
Obsoletes	:	python-%{shortname} <= %{version}

#-----------------------------------------------------------------------------
%description -n 	python3-psutil
psutil (process and system utilities) is a cross-platform library
for retrieving information on running processes and system utilization
(CPU, memory, disks, network, sensors) in Python. It is useful mainly
for system monitoring, profiling and limiting process resources and
management of running processes. It implements many functionalities
offered by UNIX command line tools such as: ps, top, lsof, netstat,
ifconfig, who, df, kill, free, nice, ionice, iostat, iotop, uptime,
pidof, tty, taskset, pmap. psutil currently supports the following
platforms:
    Linux
    Windows
    macOS,
    FreeBSD, OpenBSD, NetBSD
    Sun Solaris
    AIX


#-----------------------------------------------------------------------------
%files -n	 	python3-psutil
%doc CREDITS HISTORY.rst README.rst
%license LICENSE
%{python3_sitearch}/%{shortname}/*.py
%{python3_sitearch}/%{shortname}/__pycache__/*.pyc
%{python3_sitearch}/%{shortname}/tests/*.py
%{python3_sitearch}/%{shortname}/tests/__pycache__/*.pyc
%{python3_sitearch}/%{shortname}/_%{shortname}_*.so
%{python3_sitearch}/%{shortname}-%{version}.dist-info/


#=============================================================================
%prep
%setup -q -n %{shortname}-release-%{version}

# Remove shebangs
find psutil -name \*.py | while read file; do
  sed -i.orig -e '1{/^#!/d}' $file && \
  touch -r $file.orig $file && \
  rm $file.orig
done

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\


#-----------------------------------------------------------------------------
%changelog
